<div th:fragment="logo" xmlns:th="http://www.thymeleaf.org">
    <svg enable-background="new 0 0 800 800" height="800px" version="1.1" viewBox="0 0 800 800" width="800px"
         xml:space="preserve"
         xmlns="http://www.w3.org/2000/svg">

        <defs>
            <filter height="200%" id="inset-shadow2" width="200%" x="-50%" y="-50%">
                <feComponentTransfer in="SourceAlpha">
                    <feFuncA tableValues="1 0" type="table"/>
                </feComponentTransfer>
                <feGaussianBlur stdDeviation="3"/>
                <feOffset dx="5" dy="5" result="offsetblur"/>
                <feFlood flood-color="rgb(20, 0, 0)" result="color"/>
                <feComposite in2="offsetblur" operator="in"/>
                <feComposite in2="SourceAlpha" operator="in"/>
                <feComponentTransfer id="test">
                    <feFuncA slope="1" type="linear">
                        <animate attributeName="slope" attributeType="XML" dur="5s" from="0" to="1"/>
                    </feFuncA>
                </feComponentTransfer>
                <feMerge>
                    <feMergeNode in="SourceGraphic"/>
                    <feMergeNode/>
                </feMerge>
            </filter>
        </defs>

        <g filter="url(#inset-shadow2)">
            <g>
                <path class="icon-path"
                      d="M584.443,776.578H231.615c-50.608,0-91.781-41.174-91.781-91.783V254.301c0-11.046,8.954-20,20-20s20,8.954,20,20v430.494    c0,28.554,23.229,51.783,51.781,51.783h352.829c19.697,0,35.723-16.024,35.723-35.723V266.312    c0-19.697-16.023-35.722-35.721-35.722H243.418c-57.117,0-103.585-46.468-103.585-103.584S186.301,23.422,243.418,23.422    l332.593,0.013c11.047,0.001,20,8.955,20,20.001c0,11.045-8.955,19.999-20,19.999l0,0l-332.594-0.013    c-35.06,0-63.584,28.523-63.584,63.584s28.524,63.584,63.585,63.584h341.027c41.754,0,75.721,33.969,75.721,75.722v434.544    C660.166,742.609,626.197,776.578,584.443,776.578z"/>
            </g>
            <g>
                <path class="icon-path"
                      d="M640.166,63.438h-3.322c-11.045,0-20-8.954-20-20s8.955-20,20-20h3.322c11.047,0,20,8.954,20,20    S651.213,63.438,640.166,63.438z"/>
            </g>
            <g>
                <path class="icon-path"
                      d="M556.063,679.967H243.935c-11.046,0-20-8.954-20-20v-352.77c0-11.046,8.954-20,20-20h312.127c11.047,0,20,8.954,20,20    s-8.953,20-20,20H263.935v312.77h272.127V376.5c0-11.046,8.955-20,20-20c11.047,0,20,8.954,20,20v283.467    C576.063,671.013,567.109,679.967,556.063,679.967z"/>
            </g>
            <g>
                <path class="icon-path"
                      d="M472.689,413.792h-145.38c-11.046,0-20-8.954-20-20s8.954-20,20-20h145.38c11.047,0,20,8.954,20,20    S483.736,413.792,472.689,413.792z"/>
            </g>
            <g>
                <path class="icon-path"
                      d="M472.689,503.583h-145.38c-11.046,0-20-8.954-20-20s8.954-20,20-20h145.38c11.047,0,20,8.954,20,20    S483.736,503.583,472.689,503.583z"/>
            </g>
            <g>
                <path class="icon-path"
                      d="M472.689,593.372h-145.38c-11.046,0-20-8.954-20-20s8.954-20,20-20h145.38c11.047,0,20,8.954,20,20    S483.736,593.372,472.689,593.372z"/>
            </g>
            <g>
                <path class="icon-path"
                      d="M556.791,147.006H308.09c-11.046,0-20-8.954-20-20s8.954-20,20-20h248.701c11.047,0,20,8.954,20,20    S567.838,147.006,556.791,147.006z"/>
            </g>
            <g>
                <path class="icon-path"
                      d="M247.257,147.006h-3.322c-11.046,0-20-8.954-20-20s8.954-20,20-20h3.322c11.046,0,20,8.954,20,20    S258.303,147.006,247.257,147.006z"/>
            </g>
        </g>
    </svg>
</div>